<?php



include('includes/purchase-themes.php');

include('includes/delicious.php');

include('includes/twitter.php');



// Admin page



function p75_sevenfive_admin() {



	if ( $_GET['updated'] ) echo '<div id="message" class="updated fade"><p>Seven Five options saved.</p></div>';



?>

<div class="wrap">

	<h2><?php printf(__("Seven Five %s Options"), get_option("sevenfive_version")); ?></h2>



    <p><?php _e('Please refer to the <a href="http://press75.com/docs/life-stream-setup-usage/">Seven Five Theme Documentation</a> for detailed setup and usage instructions. Still have questions, feel free to stop by the <a href="http://press75.com/support/">Support Forums</a>.'); ?></p>



	<form method="post" action="options.php">

	<?php wp_nonce_field('update-options'); ?>



    <style>

        #sevenfive-options p { margin-top: 0; }

		#sevenfive-options tr th label {

			font-weight: bold;

		}

		#sevenfive-options tr th p {

			color: #777;

		}

		#sevenfive-options tr td,

		#sevenfive-options tr th {

			border-bottom: 1px solid #ccc;

			padding: 10px 40px 0  0;

		}

		#sevenfive-options #sevenfive-footer th {

			font-weight: bold;

			width: inherit;

			vertical-align: middle;

		}

		#sevenfive-options #sevenfive-footer .sevenfive_slot_input {

			width: 120px;

		}

    </style>



    <table id="sevenfive-options" class="form-table">



    <tr>

        <th>

            <label for="sevenfive_twitter_name"><?php _e("Twitter Options"); ?></label>

			<p><?php _e("Configure Twitter.com options including your username and number of tweets to display on the home page and Twitter page."); ?></p>

        </th>

        <td>

            <p><label for="sevenfive_twitter_name"><?php _e("Username"); ?>:</label><br /><input id="sevenfive_twitter_name" type="text" name="sevenfive_twitter_name" value="<?php echo get_option("sevenfive_twitter_name"); ?>" /></p>

            <p><label for="sevenfive_twitter_count_home"><?php _e("Home Page Count"); ?>:</label><br /><input id="sevenfive_twitter_count_home" type="text" name="sevenfive_twitter_count_home" value="<?php echo get_option("sevenfive_twitter_count_home"); ?>" /></p>

            <p><label for="sevenfive_twitter_count_page"><?php _e("Page Count"); ?>:</label><br /><input id="sevenfive_twitter_count_page" type="text" name="sevenfive_twitter_count_page" value="<?php echo get_option("sevenfive_twitter_count_page"); ?>" /></p>

        </td>

    </tr>

    

    <tr>

        <th>

            <label for="sevenfive_flickr_id"><?php _e("Flickr Options"); ?></label>

			<p><?php _e('Configure Flickr.com options including your ID (use <a href="http://idgettr.com/">http://idgettr.com/</a>) and number of photos to display on the home page and Flickr page.'); ?></p>

        </th>

        <td>

            <p><label for="sevenfive_flickr_id"><?php _e("Flickr ID"); ?>:</label><br /><input id="sevenfive_flickr_id" type="text" name="sevenfive_flickr_id" value="<?php echo get_option("sevenfive_flickr_id"); ?>" /></p>

            <p><label for="sevenfive_flickr_count_home"><?php _e("Home Page Count"); ?>:</label><br /><input id="sevenfive_flickr_count_home" type="text" name="sevenfive_flickr_count_home" value="<?php echo get_option("sevenfive_flickr_count_home"); ?>" /></p>

            <p><label for="sevenfive_flickr_count_page"><?php _e("Page Count"); ?>:</label><br /><input id="sevenfive_flickr_count_page" type="text" name="sevenfive_flickr_count_page" value="<?php echo get_option("sevenfive_flickr_count_page"); ?>" /></p>

        </td>

    </tr>

    

    <tr>

        <th>

            <label for="sevenfive_delicious_name"><?php _e("Delicious Options"); ?></label>

			<p><?php _e("Configure Delicious.com options including your username and number of links to display on the home page and Delicious page."); ?></p>

        </th>

        <td>

            <p><label for="sevenfive_delicious_name"><?php _e("Username"); ?>:</label><br /><input id="sevenfive_delicious_name" type="text" name="sevenfive_delicious_name" value="<?php echo get_option("sevenfive_delicious_name"); ?>" /></p>

            <p><label for="sevenfive_delicious_count_home"><?php _e("Home Page Count"); ?>:</label><br /><input id="sevenfive_delicious_count_home" type="text" name="sevenfive_delicious_count_home" value="<?php echo get_option("sevenfive_delicious_count_home"); ?>" /></p>

            <p><label for="sevenfive_delicious_count_page"><?php _e("Page Count"); ?>:</label><br /><input id="sevenfive_delicious_count_page" type="text" name="sevenfive_delicious_count_page" value="<?php echo get_option("sevenfive_delicious_count_page"); ?>" /></p>

        </td>

    </tr>

    

     <tr>

        <th>

            <label for="sevenfive_feed_url"><?php _e("External RSS Feed Options"); ?></label>

			<p><?php _e("Use these opions to display items from an external RSS feed of your choice."); ?></p>

        </th>

        <td>

            <p><label for="sevenfive_feed_url"><?php _e("Feed URL"); ?>:</label><br /><input id="sevenfive_feed_url" type="text" name="sevenfive_feed_url" value="<?php echo get_option("sevenfive_feed_url"); ?>" /></p>

            <p><label for="sevenfive_feed_name"><?php _e("Name"); ?>:</label><br /><input id="sevenfive_feed_name" type="text" name="sevenfive_feed_name" value="<?php echo get_option("sevenfive_feed_name"); ?>" /></p>

            <p><label for="sevenfive_feed_site"><?php _e("Site URL"); ?>:</label><br /><input id="sevenfive_feed_site" type="text" name="sevenfive_feed_site" value="<?php echo get_option("sevenfive_feed_site"); ?>" /></p>

            <p><label for="sevenfive_feed_count_home"><?php _e("Home Page Count"); ?>:</label><br /><input id="sevenfive_feed_count_home" type="text" name="sevenfive_feed_count_home" value="<?php echo get_option("sevenfive_feed_count_home"); ?>" /></p>

            <p><label for="sevenfive_feed_count_page"><?php _e("Page Count"); ?>:</label><br /><input id="sevenfive_feed_count_page" type="text" name="sevenfive_feed_count_page" value="<?php echo get_option("sevenfive_feed_count_page"); ?>" /></p>

        </td>

    </tr>



    </table>



	<input type="hidden" name="action" value="update" />

	<input type="hidden" name="page_options" value="sevenfive_twitter_name,sevenfive_twitter_count_home,sevenfive_twitter_count_page,sevenfive_twitter_hide,sevenfive_flickr_id,sevenfive_flickr_count_home,sevenfive_flickr_count_page,sevenfive_flickr_hide,sevenfive_delicious_name,sevenfive_delicious_count_home,sevenfive_delicious_count_page,sevenfive_delicious_hide,sevenfive_feed_url,sevenfive_feed_name,sevenfive_feed_site,sevenfive_feed_count_home,sevenfive_feed_count_page,sevenfive_feed_hide" />



	<p class="submit">

	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />

	</p>



	</form>

</div>



<?php

}



add_action('admin_menu', "p75_sevenfive_admin_init");



/**

 * Register admin page.

 */

function p75_sevenfive_admin_init()

{

	add_theme_page( "Seven Five Options", "Theme Options", 8, __FILE__, 'p75_sevenfive_admin');

}



/**

 * Enable sidebar widgets.

 */

if ( function_exists('register_sidebar') )

{

register_sidebar(array('name'=>'sidebar1',

'before_widget' => '',

'after_widget' => '',

'before_title' => '<h2>',

'after_title' => '</h2>',

));

register_sidebar(array('name'=>'sidebar2',

'before_widget' => '',

'after_widget' => '',

'before_title' => '<h2>',

'after_title' => '</h2>',

));

register_sidebar(array('name'=>'sidebar3',

'before_widget' => '',

'after_widget' => '',

'before_title' => '<h2>',

'after_title' => '</h2>',

));

}



function p75_get_published_posts() {

	global $wpdb;



	return $wpdb->get_results( 'SELECT ID, post_title FROM wp_posts WHERE post_status="publish" AND post_type="post" ORDER BY post_date DESC' );

}



function p75_get_published_pages() {

	global $wpdb;

	

	return $wpdb->get_results( 'SELECT ID, post_title FROM wp_posts WHERE post_status="publish" AND post_type="page" ORDER BY post_date DESC' );

}



?>

