<?php get_header(); ?>



<div id="content">

	<div class="content-item">

		<?php query_posts('showposts=1'); ?> 

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		

		<div class="content-dets">

			<h3>Новое на блоге</h3>

			

			<ul class="dets">

				<li><a href="<?php the_permalink() ?>#comments" title=""><?php comments_number('0 Comments','1 Comment','% Comments'); ?></a></li>

			</ul>

		</div>

		

		<div class="content-body">

			<h2><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

			

			<div class="entry">

				<?php the_content('Далее >>'); ?>

			</div>

		</div>

		

		<?php endwhile; else: ?>

    	<?php endif; ?>	

	</div>

	

	<?php if ( get_option("sevenfive_twitter_name") ) : ?>

	<div class="content-item">

		<div class="content-dets">

			<h3>Микро-Блог</h3>

			

			<ul class="dets">

				<li><a href="http://www.twitter.com/<?php echo get_option('sevenfive_twitter_name'); ?>" title="Twitter.com">Лаконичные мысли</a></li>

			</ul>

		</div>

		

		<div class="content-body twitter-container">

			<?php $twitter_name = get_option('sevenfive_twitter_name'); ?>

			<?php $twitter_count_home = get_option('sevenfive_twitter_count_home'); ?>

			<?php twitter_messages('' . $twitter_name . '', '' . $twitter_count_home . '', true, true, false, true, false); ?>

		    <div id="twitter-last-item"><!-- nothing to see here --></div>

		</div>

	</div>

	<?php endif; ?>

	

	<?php if ( get_option("sevenfive_flickr_id") ) : ?>

	<div class="content-item">

		<div class="content-dets-alt">

			<h3>Фото-Блог</h3>

			

			<ul class="dets">

				<li><a href="http://www.flickr.com/photos/<?php echo get_option('sevenfive_flickr_id'); ?>/" title="Flickr.com">Когда слова не нужны</a></li>

			</ul>

		</div>

		

		<div class="content-body-alt">

			<?php // Get RSS Feed(s)

			include_once(ABSPATH . WPINC . '/feed.php');

			include_once(TEMPLATEPATH . '/scripts/flickr.php');

			

			$flickr_id = get_option('sevenfive_flickr_id');

			$flickr_count_home = get_option('sevenfive_flickr_count_home');

			$rss = fetch_feed('feed://api.flickr.com/services/feeds/photos_public.gne?id=' . $flickr_id . '&lang=en-us&format=atom');

			$thumb = 'square';

			$full = 'medium';

			

			// Figure out how many total items there are, but limit it to 5. 

			$maxitems = $rss->get_item_quantity($flickr_count_home); 

			

			// Build an array of all the items, starting with element 0 (first element).

			$rss_items = $rss->get_items(0, $maxitems); 

			?>



			<?php if ($maxitems == 0) echo '<li>No items.</li>';

		    else

		    

		    // Loop through each feed item and display each item as a hyperlink.

		    foreach ( $rss_items as $item ):

				$url = flickr::find_photo($item->get_description());

				$title = flickr::cleanup($item->get_title());

				$full_url = flickr::photo($url, $full);

				$thumb_url = flickr::photo($url, $thumb);

			?>

			 

			<a href="<?php echo $full_url; ?>" class="fancy" title="<?php echo $item->get_title(); ?>">

				<img src="<?php echo $thumb_url; ?>" alt="<?php echo $item->get_title(); ?>" />

			</a>

			 

			<?php endforeach; ?>

		</div>

	</div>

	<?php endif; ?>

	

	<?php if ( get_option("sevenfive_delicious_name") ) : ?>

	<div class="content-item">

		<div class="content-dets">

			<h3>Закладки</h3>

			

			<ul class="dets">

				<li><a href="http://www.delicious.com/<?php echo get_option('sevenfive_delicious_name'); ?>" title="Delicious.com">О чем пишут люди</a></li>

			</ul>

		</div>

		

		<div class="content-body delicious-container">

			<?php $delicious_name = get_option('sevenfive_delicious_name'); ?>

			<?php $delicious_count_home = get_option('sevenfive_delicious_count_home'); ?>

			<?php delicious_bookmarks('' . $delicious_name . '', '' . $delicious_count_home . '', true, false, false, '', true, '', false, false); ?>

			<div id="delicious-last-item"><!-- nothing to see here --></div>

		</div>

	</div>

	<?php endif; ?>

	

	<?php if ( get_option("sevenfive_feed_url") ) : ?>

	<div class="content-item">

		<div class="content-dets">

			<h3>RSS Лента</h3>

			

			<ul class="dets">

				<li><a href="<?php echo get_option('sevenfive_feed_site'); ?>" title="<?php echo get_option('sevenfive_feed_name'); ?>">Лента новостей</a></li>

			</ul>

		</div>

		

		<div class="content-body styled-list">

			<?php // Get RSS Feed(s)

			include_once(ABSPATH . WPINC . '/feed.php');

			

			$feed_url = get_option('sevenfive_feed_url');

			$feed_count_home = get_option('sevenfive_feed_count_home');

			

			// Get a SimplePie feed object from the specified feed source.

			$rss = fetch_feed('' . $feed_url . '');

			

			// Figure out how many total items there are, but limit it to 5. 

			$maxitems = $rss->get_item_quantity($feed_count_home); 

			

			// Build an array of all the items, starting with element 0 (first element).

			$rss_items = $rss->get_items(0, $maxitems); 

			?>

		

			<ul>

			    <?php if ($maxitems == 0) echo '<li>No items.</li>';

			    else

			    // Loop through each feed item and display each item as a hyperlink.

			    foreach ( $rss_items as $item ) : ?>

			    <li>

			        <h3><a href="<?php echo $item->get_permalink(); ?>" title="<?php echo 'Posted '.$item->get_date('j F Y | g:i a'); ?>"><?php echo $item->get_title(); ?></a></h3>

			        <p><?php echo $item->get_description(); ?></p>

			    </li>

			    <?php endforeach; ?>

			    <div class="styled-list-last"><!-- nothing to see here --></div>

			</ul>

		</div>

	</div>

	<?php endif; ?>

<div class="content-item">

     <div id="sidebar">



<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar1') ) : ?>

<?php endif; ?>

     </div>

     <div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar2') ) : ?>

<?php endif; ?>

     </div>

     <div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar3') ) : ?>

<?php endif; ?>

     </div>

</div>

</div>



<?php get_footer(); ?>