<?php

/*

Template Name: Flickr.com

*/

?>



<?php get_header(); ?>



<div class="content-item">

	<div class="content-dets-alt">

		<h3>Фото-Блог</h3>

		

		<ul class="dets">

			<li><a href="http://www.flickr.com/photos/<?php echo get_option('sevenfive_flickr_id'); ?>/" title="Flickr.com">Когда слова не нужны</a></li>

		</ul>

	</div>

	

	<div class="content-body-alt">

		<?php // Get RSS Feed(s)

		include_once(ABSPATH . WPINC . '/feed.php');

		include_once(TEMPLATEPATH . '/scripts/flickr.php');

		

		$flickr_id = get_option('sevenfive_flickr_id');

		$flickr_count_home = get_option('sevenfive_flickr_count_home');

		$rss = fetch_feed('feed://api.flickr.com/services/feeds/photos_public.gne?id=' . $flickr_id . '&lang=en-us&format=atom');

		$thumb = 'square';

		$full = 'medium';

		

		// Figure out how many total items there are, but limit it to 5. 

		$maxitems = $rss->get_item_quantity($flickr_count_page); 

		

		// Build an array of all the items, starting with element 0 (first element).

		$rss_items = $rss->get_items(0, $maxitems); 

		?>



		<?php if ($maxitems == 0) echo '<li>No items.</li>';

	    else

	    

	    // Loop through each feed item and display each item as a hyperlink.

	    foreach ( $rss_items as $item ):

			$url = flickr::find_photo($item->get_description());

			$title = flickr::cleanup($item->get_title());

			$full_url = flickr::photo($url, $full);

			$thumb_url = flickr::photo($url, $thumb);

		?>

		 

		<a href="<?php echo $full_url; ?>" class="fancy" title="<?php echo $item->get_title(); ?>">

			<img src="<?php echo $thumb_url; ?>" alt="<?php echo $item->get_title(); ?>" />

		</a>

		 

		<?php endforeach; ?>

	</div>



</div>

<div class="content-item">

     <div id="sidebar">



<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar1') ) : ?>

<?php endif; ?>

     </div>

     <div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar2') ) : ?>

<?php endif; ?>

     </div>

     <div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar')

|| !dynamic_sidebar('sidebar3') ) : ?>

<?php endif; ?>

     </div>

</div>



<?php get_footer(); ?>