<?php

/**

 * @package SevenFive

 */

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>



<head profile="http://gmpg.org/xfn/11">

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />



<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<meta name="description" content="<?php the_excerpt_rss(); ?>" />

<?php endwhile; endif; elseif(is_home()) : ?>

<meta name="description" content="<?php bloginfo('description'); ?>" />

<?php endif; ?>



<title>

<?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?>

<?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Результаты поиска<?php } ?>

<?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Архив автора<?php } ?>

<?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?>

<?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?>

<?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Архив&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?>

<?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Архив&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?>

<?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Архив метки&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?>

</title>



<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); echo '?' . filemtime( get_stylesheet_directory() . '/style.css'); ?>" type="text/css" title="Thick" media="screen, projection" />

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/favicon.ico" type="image/x-icon" />



<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.min.js" type="text/javascript"></script>

<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.fade.js" type="text/javascript"></script>



<!-- Corners -->

<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.curvycorners.js" type="text/javascript"></script>

<script type="text/JavaScript">

	addEvent(window, 'load', initCorners);

	function initCorners() {

	var setting = {

	tl: { radius: 6 },

	tr: { radius: 6 },

	bl: { radius: 6 },

	br: { radius: 6 },

	antiAlias: true

	}

	curvyCorners(setting, ".page_item");

	}

</script>



<!-- Fancybox -->

<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/scripts/fancybox/jquery.fancybox.css" media="screen" />

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/scripts/fancybox/jquery.fancybox.js"></script>

<script type="text/javascript">

	$(document).ready(function() {

		$("a.fancy").fancybox();

	});

</script>



<!-- Cufon -->

<script src="<?php bloginfo('template_url'); ?>/scripts/cufon.js" type="text/javascript"></script>

<script src="<?php bloginfo('template_url'); ?>/scripts/Graublau_Web_400-Graublau_Web_700.font.js" type="text/javascript"></script>

<script type="text/javascript">

	Cufon.replace('h2, h3, .twitter-item, .delicious-link, cite, h1, #menu, value');

</script>



<?php wp_head(); ?>

</head>



<body>



<div id="header">

	<div id="logo">

		<h1><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></h1> <h3><?php bloginfo('description'); ?></h3></a>

	</div>

<?php get_search_form(); ?>

            <ul id="navAdmin">

                <?php wp_register(); ?>

                <li><?php wp_loginout(); ?></li>

<li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS">RSS</a></li>

                <?php wp_meta(); ?>



			</ul>	

	

	<div id="menu">

		<ul>

			<?php wp_list_pages('title_li=&sort_order=desc'); ?>

		</ul>

	</div>

</div>